Summary:	The Autoconf Macro Archive
Summary(pl.UTF-8):	Archiwum makr Autoconfa
Name:		autoconf-archive
Version:	2022.09.03
Release:	1
License:	GPL v3+ with exceptions
Group:		Development/Tools
Source0:	http://ftp.gnu.org/gnu/autoconf-archive/%{name}-%{version}.tar.xz
# Source0-md5:	7f80979c121ecbe119ebf98f42ad198f
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/autoconf-archive/
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRequires:	xz
# max of AC_PREREQ from ax_*.m4
Requires:	autoconf >= 2.69
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The GNU Autoconf Archive is a collection of more than 500 macros for
GNU Autoconf that have been contributed as free software by friendly
supporters of the cause from all over the Internet.

%description -l pl.UTF-8
GNU Autoconf Archive to zbiór ponad 500 makr dla GNU Autoconfa,
przekazanych jako oprogramowanie wolnodostępne przez przyjaznych
przypadkowych wspierających z całego Internetu.

%prep
%setup -q
%patch0 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/autoconf-archive

# remove dir file which will be generated by /sbin/install-info
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING.EXCEPTION ChangeLog NEWS README TODO
%{_aclocaldir}/ax_*.m4
%{_infodir}/autoconf-archive.info*
%changelog
* Sun Sep 04 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/autoconf-archive.git;a=log;h=master

* Sun Sep 04 2022 Jan Palus <atler@pld-linux.org> c46976b
- up to 2022.09.03

* Tue Apr 05 2022 Jan Rękorajski <baggins@pld-linux.org> df528f1
- add support for python 3.10, rel 2

* Fri Feb 11 2022 Jan Palus <atler@pld-linux.org> a1bb13d
- up to 2022.02.11

* Thu Mar 04 2021 Jakub Bogusz <qboosh@pld-linux.org> 6b5138b
- updated to 2021.02.19

* Tue Dec 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 6e07374
- unified info dircategory; release 2

* Thu Jan 31 2019 Jakub Bogusz <qboosh@pld-linux.org> 7d2dd6f
- updated to 2019.01.06

* Mon Dec 04 2017 Jakub Bogusz <qboosh@pld-linux.org> 4ec6f8a
- updated to 2017.09.28

* Thu Apr 13 2017 Jakub Bogusz <qboosh@pld-linux.org> 38678dd
- updated to 2017.03.21

* Sun Sep 25 2016 Jakub Bogusz <qboosh@pld-linux.org> 4b38855
- updated to 2016.09.16

* Sun Jul 31 2016 Jakub Bogusz <qboosh@pld-linux.org> 3b3bbe5
- updated to 2016.03.20

* Thu Oct 01 2015 Jakub Bogusz <qboosh@pld-linux.org> 77bafdd
- updated to 2015.09.25

* Sat Feb 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 0fc5e50
- updated to 2015.02.24

* Thu Feb 05 2015 Elan Ruusamäe <glen@delfi.ee> cbd6e2e
- up to 2015.02.04

* Mon Mar 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 83680c4
- updated to 2014.02.28

* Sun Nov 03 2013 Jakub Bogusz <qboosh@pld-linux.org> c5b2058
- updated to 2013.11.01
- added info patch (unify direntry)
- pl

* Sun Oct 06 2013 Elan Ruusamäe <glen@delfi.ee> ab8971f
- new, version 2012.09.08

